Bug 1142 - xorg 6.7.99.2 doesn't recognize my SUN Type6 USB keyboard
xorg 6.7.99.2 doesn't recognize my SUN Type6 USB keyboard
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Input/Keyboard
unspecified
x86 (IA32) Linux (All)
: high normal
Assigned To: Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-20 10:41 UTC by Willie Sippel
Modified: 2006-04-17 12:17 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Willie Sippel 2004-08-20 10:41:08 UTC
Using the same xorg.conf as 6.7.0, X doesn't start telling me it couldn't find 
a core keyboard. Changing the driver from 'keyboard' to 'kbd' didn't help, 
either. I also tried to specify /dev/input/event0, but it still couldn't find 
the keyboard. The log doesn't help, too - it only tells me that X couldn't 
find the evdev module, but I compiled evdev in the kernel. 
 
I'm testing this on gentoo/ AMD64, kernel 2.6.7-gentoo-r14 with USB, input and 
evdev compiled into the kernel.  
 
PS: X sometimes hard-locks my system, but I think this has something to do 
with the keyboard problem, because there's no info on the crash in the 
logfile.
Comment 1 Willie Sippel 2004-08-24 16:26:13 UTC
OK, I checked this again, using 6.7.902 this time - it can't find the 'core 
keyboard' when this option is set: 
 
Option       "Protocol" "Standard" 
 
Seems strange, but if I comment this out, X starts just fine - don't know if 
there's something to do about this... 
 
The hard lock I mentioned comes from this setting in "Section "Device"", using 
Nvidia 1.0.6111 for AMD64: 
 
Option       "Overlay" "true" 
 
This is also strange, 'cause I use a Nvidia Quadro FX 3000G, and this card 
_does_ support hardware overlays! BTW, this has nothing to do with the new X 
extensions, X locks up whether these extensions are enabled or disabled... 
Comment 2 Erik Andren 2006-04-18 00:14:42 UTC
Whats the status of this bug using a more modern version of xorg?
Comment 3 Willie Sippel 2006-04-18 05:17:08 UTC
Sorry, completely forgot about this. Both problems are gone with 7.0 - 
changing status to FIXED... :-)